local addon, dark_addon = ...
local you = 'target'
local me = 'player' 

local function combat()
 local combopoints = player.power.combopoints.actual 
  if player.health.percent < 90 and castable(SB.HealingTouch) then 
    return cast(SB.HealingTouch, me)
  end 

  if castable(SB.Wrath) then 
    return cast(SB.Wrath, 'target')
  end 

    -- combat
end

local function resting()

  if castable(SB.Wrath) and UnitExists('target') and UnitCanAttack('target', 'player') then 
    return cast(SB.Wrath, 'target')
  end 
    -- -- resting
end
local function interface()
  local druid = {
      key = "druid",
      title = "TBC Druid Rotation",
      width = 250,
      height = 400,
      resize = true,
      show = false,
      template = {
          {
              type = "header",
              text = "Classic Druid Settings",
              align = "center"
          }, {
              key = "opener",
              type = "dropdown",
              text = "Opener",
              default = "Wrath",
              list = {
                  {key = "None", text = "None"},
                  {key = "Wrath", text = "Wrath"}
              }
          }, {type = "rule"},
          {type = "header", text = "Spec to Play", align = "center"}, {
              key = "spec",
              type = "dropdown",
              text = "Spec",
              default = "None",
              list = {
                  {key = "lowlevel", text = "Low Level"},
                  {key = "feral", text = "Feral"},
                  {key = "boomkin", text = "Boomy"},
                  {key = "resto", text = "Restoration"},
                  {key = "tank", text = "Tank"}
              }
          }, {type = "rule"},
          {type = "header", text = "Buffs", align = "center"},
          {
              key = "Something",
              type = "checkbox",
              text = "Use Something",
              default = true
          },
           {type = "rule"},
          {type = "header", text = "Header", align = "center"},
          {
              key = "newcheckbox",
              type = "checkbox",
              text = "Something",
              default = true
          }, {
              key = "Heal percent",
              type = "spinner",
              text = "Min Health",
              default = 50,
              min = 10,
              max = 100,
              step = 5,
              desc = "Heal yoruself when we reach this number."
          }, {
              key = "lifetapstayhealthy",
              type = "checkbox",
              text = "Don't allow health to drop below mana",
              default = true
          }, {
              key = "anothercheckb",
              type = "checkbox",
              text = "Another Checkbox",
              default = false
          }
      }
  }

  ConfigWindow = dark_addon.interface.builder.buildGUI(druid)

  dark_addon.interface.buttons.add_toggle(
      {
          name = "settings",
          label = "Rotation Settings",
          font = "dark_addon_icon",
          on = {
              label = dark_addon.interface.icon("cog"),
              color = dark_addon.interface.color.purple,
              color2 = dark_addon.interface.color.dark_purple
          },
          off = {
              label = dark_addon.interface.icon("cog"),
              color = dark_addon.interface.color.grey,
              color2 = dark_addon.interface.color.dark_grey
          },
          callback = function(self)
              if dark_addon.interface.buttons.buttons["settings"].state then
                  ConfigWindow.parent:Show()
              else
                  ConfigWindow.parent:Hide()
              end
          end
      })
end
dark_addon.rotation.register({
  class = dark_addon.rotation.classes.druid,
  name = 'druid',
  label = 'Bundled Druid',
  combat = combat,
  interface = interface,
  resting = resting
})
