local addon, dark_addon = ...

dark_addon.interface = { }

-- OpenSans-Bold.ttf
-- OpenSans-Regular.ttf

local fontObject

fontObject = CreateFont("dark_addon_regular")
fontObject:SetFont("Interface\\Addons\\LibSharedMedia\\media\\OpenSans-Regular.ttf", 14)

fontObject = CreateFont("dark_addon_bold")
fontObject:SetFont("Interface\\Addons\\LibSharedMedia\\media\\OpenSans-Bold.ttf", 14)

fontObject = CreateFont("dark_addon_icon")
fontObject:SetFont("Interface\\Addons\\LibSharedMedia\\media\\FontAwesomeProRegular.otf", 18)


local bytemarkers = { {0x7FF,192}, {0xFFFF,224}, {0x1FFFFF,240} }
local function utf8(decimal)
  if decimal<128 then return string.char(decimal) end
  local charbytes = {}
  for bytes,vals in ipairs(bytemarkers) do
    if decimal<=vals[1] then
      for b=bytes+1,2,-1 do
        local mod = decimal%64
        decimal = (decimal-mod)/64
        charbytes[b] = string.char(128+mod)
      end
      charbytes[1] = string.char(vals[2]+decimal)
      break
    end
  end
  return table.concat(charbytes)
end

local icons = {
  ['abacus'] = 0xf640,
  ['acorn'] = 0xf6ae,
  ['ad'] = 0xf641,
  ['address-book'] = 0xf2b9,
  ['address-card'] = 0xf2bb,
  ['adjust'] = 0xf042,
  ['air-freshener'] = 0xf5d0,
  ['alarm-clock'] = 0xf34e,
  ['alicorn'] = 0xf6b0,
  ['align-center'] = 0xf037,
  ['align-justify'] = 0xf039,
  ['align-left'] = 0xf036,
  ['align-right'] = 0xf038,
  ['allergies'] = 0xf461,
  ['ambulance'] = 0xf0f9,
  ['american-sign-language-interpreting'] = 0xf2a3,
  ['analytics'] = 0xf643,
  ['anchor'] = 0xf13d,
  ['angel'] = 0xf779,
  ['angle-double-down'] = 0xf103,
  ['angle-double-left'] = 0xf100,
  ['angle-double-right'] = 0xf101,
  ['angle-double-up'] = 0xf102,
  ['angle-down'] = 0xf107,
  ['angle-left'] = 0xf104,
  ['angle-right'] = 0xf105,
  ['angle-up'] = 0xf106,
  ['angry'] = 0xf556,
  ['ankh'] = 0xf644,
  ['apple-alt'] = 0xf5d1,
  ['apple-crate'] = 0xf6b1,
  ['archive'] = 0xf187,
  ['archway'] = 0xf557,
  ['arrow-alt-circle-down'] = 0xf358,
  ['arrow-alt-circle-left'] = 0xf359,
  ['arrow-alt-circle-right'] = 0xf35a,
  ['arrow-alt-circle-up'] = 0xf35b,
  ['arrow-alt-down'] = 0xf354,
  ['arrow-alt-from-bottom'] = 0xf346,
  ['arrow-alt-from-left'] = 0xf347,
  ['arrow-alt-from-right'] = 0xf348,
  ['arrow-alt-from-top'] = 0xf349,
  ['arrow-alt-left'] = 0xf355,
  ['arrow-alt-right'] = 0xf356,
  ['arrow-alt-square-down'] = 0xf350,
  ['arrow-alt-square-left'] = 0xf351,
  ['arrow-alt-square-right'] = 0xf352,
  ['arrow-alt-square-up'] = 0xf353,
  ['arrow-alt-to-bottom'] = 0xf34a,
  ['arrow-alt-to-left'] = 0xf34b,
  ['arrow-alt-to-right'] = 0xf34c,
  ['arrow-alt-to-top'] = 0xf34d,
  ['arrow-alt-up'] = 0xf357,
  ['arrow-circle-down'] = 0xf0ab,
  ['arrow-circle-left'] = 0xf0a8,
  ['arrow-circle-right'] = 0xf0a9,
  ['arrow-circle-up'] = 0xf0aa,
  ['arrow-down'] = 0xf063,
  ['arrow-from-bottom'] = 0xf342,
  ['arrow-from-left'] = 0xf343,
  ['arrow-from-right'] = 0xf344,
  ['arrow-from-top'] = 0xf345,
  ['arrow-left'] = 0xf060,
  ['arrow-right'] = 0xf061,
  ['arrow-square-down'] = 0xf339,
  ['arrow-square-left'] = 0xf33a,
  ['arrow-square-right'] = 0xf33b,
  ['arrow-square-up'] = 0xf33c,
  ['arrow-to-bottom'] = 0xf33d,
  ['arrow-to-left'] = 0xf33e,
  ['arrow-to-right'] = 0xf340,
  ['arrow-to-top'] = 0xf341,
  ['arrow-up'] = 0xf062,
  ['arrows'] = 0xf047,
  ['arrows-alt'] = 0xf0b2,
  ['arrows-alt-h'] = 0xf337,
  ['arrows-alt-v'] = 0xf338,
  ['arrows-h'] = 0xf07e,
  ['arrows-v'] = 0xf07d,
  ['assistive-listening-systems'] = 0xf2a2,
  ['asterisk'] = 0xf069,
  ['at'] = 0xf1fa,
  ['atlas'] = 0xf558,
  ['atom'] = 0xf5d2,
  ['atom-alt'] = 0xf5d3,
  ['audio-description'] = 0xf29e,
  ['award'] = 0xf559,
  ['axe'] = 0xf6b2,
  ['axe-battle'] = 0xf6b3,
  ['baby'] = 0xf77c,
  ['baby-carriage'] = 0xf77d,
  ['backpack'] = 0xf5d4,
  ['backspace'] = 0xf55a,
  ['backward'] = 0xf04a,
  ['bacon'] = 0xf7e5,
  ['badge'] = 0xf335,
  ['badge-check'] = 0xf336,
  ['badge-dollar'] = 0xf645,
  ['badge-percent'] = 0xf646,
  ['badger-honey'] = 0xf6b4,
  ['balance-scale'] = 0xf24e,
  ['balance-scale-left'] = 0xf515,
  ['balance-scale-right'] = 0xf516,
  ['ball-pile'] = 0xf77e,
  ['ballot'] = 0xf732,
  ['ballot-check'] = 0xf733,
  ['ban'] = 0xf05e,
  ['band-aid'] = 0xf462,
  ['barcode'] = 0xf02a,
  ['barcode-alt'] = 0xf463,
  ['barcode-read'] = 0xf464,
  ['barcode-scan'] = 0xf465,
  ['bars'] = 0xf0c9,
  ['baseball'] = 0xf432,
  ['baseball-ball'] = 0xf433,
  ['basketball-ball'] = 0xf434,
  ['basketball-hoop'] = 0xf435,
  ['bat'] = 0xf6b5,
  ['bath'] = 0xf2cd,
  ['battery-bolt'] = 0xf376,
  ['battery-empty'] = 0xf244,
  ['battery-full'] = 0xf240,
  ['battery-half'] = 0xf242,
  ['battery-quarter'] = 0xf243,
  ['battery-slash'] = 0xf377,
  ['battery-three-quarters'] = 0xf241,
  ['bed'] = 0xf236,
  ['beer'] = 0xf0fc,
  ['bell'] = 0xf0f3,
  ['bell-school'] = 0xf5d5,
  ['bell-school-slash'] = 0xf5d6,
  ['bell-slash'] = 0xf1f6,
  ['bells'] = 0xf77f,
  ['bezier-curve'] = 0xf55b,
  ['bible'] = 0xf647,
  ['bicycle'] = 0xf206,
  ['binoculars'] = 0xf1e5,
  ['biohazard'] = 0xf780,
  ['birthday-cake'] = 0xf1fd,
  ['blanket'] = 0xf498,
  ['blender'] = 0xf517,
  ['blender-phone'] = 0xf6b6,
  ['blind'] = 0xf29d,
  ['blog'] = 0xf781,
  ['bold'] = 0xf032,
  ['bolt'] = 0xf0e7,
  ['bomb'] = 0xf1e2,
  ['bone'] = 0xf5d7,
  ['bone-break'] = 0xf5d8,
  ['bong'] = 0xf55c,
  ['book'] = 0xf02d,
  ['book-alt'] = 0xf5d9,
  ['book-dead'] = 0xf6b7,
  ['book-heart'] = 0xf499,
  ['book-medical'] = 0xf7e6,
  ['book-open'] = 0xf518,
  ['book-reader'] = 0xf5da,
  ['book-spells'] = 0xf6b8,
  ['book-user'] = 0xf7e7,
  ['bookmark'] = 0xf02e,
  ['books'] = 0xf5db,
  ['books-medical'] = 0xf7e8,
  ['boot'] = 0xf782,
  ['booth-curtain'] = 0xf734,
  ['bow-arrow'] = 0xf6b9,
  ['bowling-ball'] = 0xf436,
  ['bowling-pins'] = 0xf437,
  ['box'] = 0xf466,
  ['box-alt'] = 0xf49a,
  ['box-ballot'] = 0xf735,
  ['box-check'] = 0xf467,
  ['box-fragile'] = 0xf49b,
  ['box-full'] = 0xf49c,
  ['box-heart'] = 0xf49d,
  ['box-open'] = 0xf49e,
  ['box-up'] = 0xf49f,
  ['box-usd'] = 0xf4a0,
  ['boxes'] = 0xf468,
  ['boxes-alt'] = 0xf4a1,
  ['boxing-glove'] = 0xf438,
  ['brackets'] = 0xf7e9,
  ['brackets-curly'] = 0xf7ea,
  ['braille'] = 0xf2a1,
  ['brain'] = 0xf5dc,
  ['bread-loaf'] = 0xf7eb,
  ['bread-slice'] = 0xf7ec,
  ['briefcase'] = 0xf0b1,
  ['briefcase-medical'] = 0xf469,
  ['broadcast-tower'] = 0xf519,
  ['broom'] = 0xf51a,
  ['browser'] = 0xf37e,
  ['brush'] = 0xf55d,
  ['bug'] = 0xf188,
  ['building'] = 0xf1ad,
  ['bullhorn'] = 0xf0a1,
  ['bullseye'] = 0xf140,
  ['bullseye-arrow'] = 0xf648,
  ['bullseye-pointer'] = 0xf649,
  ['burn'] = 0xf46a,
  ['burrito'] = 0xf7ed,
  ['bus'] = 0xf207,
  ['bus-alt'] = 0xf55e,
  ['bus-school'] = 0xf5dd,
  ['business-time'] = 0xf64a,
  ['cabinet-filing'] = 0xf64b,
  ['calculator'] = 0xf1ec,
  ['calculator-alt'] = 0xf64c,
  ['calendar'] = 0xf133,
  ['calendar-alt'] = 0xf073,
  ['calendar-check'] = 0xf274,
  ['calendar-day'] = 0xf783,
  ['calendar-edit'] = 0xf333,
  ['calendar-exclamation'] = 0xf334,
  ['calendar-minus'] = 0xf272,
  ['calendar-plus'] = 0xf271,
  ['calendar-star'] = 0xf736,
  ['calendar-times'] = 0xf273,
  ['calendar-week'] = 0xf784,
  ['camera'] = 0xf030,
  ['camera-alt'] = 0xf332,
  ['camera-retro'] = 0xf083,
  ['campfire'] = 0xf6ba,
  ['campground'] = 0xf6bb,
  ['candle-holder'] = 0xf6bc,
  ['candy-cane'] = 0xf786,
  ['candy-corn'] = 0xf6bd,
  ['cannabis'] = 0xf55f,
  ['capsules'] = 0xf46b,
  ['car'] = 0xf1b9,
  ['car-alt'] = 0xf5de,
  ['car-battery'] = 0xf5df,
  ['car-bump'] = 0xf5e0,
  ['car-crash'] = 0xf5e1,
  ['car-garage'] = 0xf5e2,
  ['car-mechanic'] = 0xf5e3,
  ['car-side'] = 0xf5e4,
  ['car-tilt'] = 0xf5e5,
  ['car-wash'] = 0xf5e6,
  ['caret-circle-down'] = 0xf32d,
  ['caret-circle-left'] = 0xf32e,
  ['caret-circle-right'] = 0xf330,
  ['caret-circle-up'] = 0xf331,
  ['caret-down'] = 0xf0d7,
  ['caret-left'] = 0xf0d9,
  ['caret-right'] = 0xf0da,
  ['caret-square-down'] = 0xf150,
  ['caret-square-left'] = 0xf191,
  ['caret-square-right'] = 0xf152,
  ['caret-square-up'] = 0xf151,
  ['caret-up'] = 0xf0d8,
  ['carrot'] = 0xf787,
  ['cart-arrow-down'] = 0xf218,
  ['cart-plus'] = 0xf217,
  ['cash-register'] = 0xf788,
  ['cat'] = 0xf6be,
  ['cauldron'] = 0xf6bf,
  ['certificate'] = 0xf0a3,
  ['chair'] = 0xf6c0,
  ['chair-office'] = 0xf6c1,
  ['chalkboard'] = 0xf51b,
  ['chalkboard-teacher'] = 0xf51c,
  ['charging-station'] = 0xf5e7,
  ['chart-area'] = 0xf1fe,
  ['chart-bar'] = 0xf080,
  ['chart-line'] = 0xf201,
  ['chart-line-down'] = 0xf64d,
  ['chart-network'] = 0xf78a,
  ['chart-pie'] = 0xf200,
  ['chart-pie-alt'] = 0xf64e,
  ['chart-scatter'] = 0xf7ee,
  ['check'] = 0xf00c,
  ['check-circle'] = 0xf058,
  ['check-double'] = 0xf560,
  ['check-square'] = 0xf14a,
  ['cheese'] = 0xf7ef,
  ['cheese-swiss'] = 0xf7f0,
  ['cheeseburger'] = 0xf7f1,
  ['chess'] = 0xf439,
  ['chess-bishop'] = 0xf43a,
  ['chess-bishop-alt'] = 0xf43b,
  ['chess-board'] = 0xf43c,
  ['chess-clock'] = 0xf43d,
  ['chess-clock-alt'] = 0xf43e,
  ['chess-king'] = 0xf43f,
  ['chess-king-alt'] = 0xf440,
  ['chess-knight'] = 0xf441,
  ['chess-knight-alt'] = 0xf442,
  ['chess-pawn'] = 0xf443,
  ['chess-pawn-alt'] = 0xf444,
  ['chess-queen'] = 0xf445,
  ['chess-queen-alt'] = 0xf446,
  ['chess-rook'] = 0xf447,
  ['chess-rook-alt'] = 0xf448,
  ['chevron-circle-down'] = 0xf13a,
  ['chevron-circle-left'] = 0xf137,
  ['chevron-circle-right'] = 0xf138,
  ['chevron-circle-up'] = 0xf139,
  ['chevron-double-down'] = 0xf322,
  ['chevron-double-left'] = 0xf323,
  ['chevron-double-right'] = 0xf324,
  ['chevron-double-up'] = 0xf325,
  ['chevron-down'] = 0xf078,
  ['chevron-left'] = 0xf053,
  ['chevron-right'] = 0xf054,
  ['chevron-square-down'] = 0xf329,
  ['chevron-square-left'] = 0xf32a,
  ['chevron-square-right'] = 0xf32b,
  ['chevron-square-up'] = 0xf32c,
  ['chevron-up'] = 0xf077,
  ['child'] = 0xf1ae,
  ['chimney'] = 0xf78b,
  ['church'] = 0xf51d,
  ['circle'] = 0xf111,
  ['circle-notch'] = 0xf1ce,
  ['city'] = 0xf64f,
  ['claw-marks'] = 0xf6c2,
  ['clinic-medical'] = 0xf7f2,
  ['clipboard'] = 0xf328,
  ['clipboard-check'] = 0xf46c,
  ['clipboard-list'] = 0xf46d,
  ['clipboard-list-check'] = 0xf737,
  ['clipboard-prescription'] = 0xf5e8,
  ['clipboard-user'] = 0xf7f3,
  ['clock'] = 0xf017,
  ['clone'] = 0xf24d,
  ['closed-captioning'] = 0xf20a,
  ['cloud'] = 0xf0c2,
  ['cloud-download'] = 0xf0ed,
  ['cloud-download-alt'] = 0xf381,
  ['cloud-drizzle'] = 0xf738,
  ['cloud-hail'] = 0xf739,
  ['cloud-hail-mixed'] = 0xf73a,
  ['cloud-meatball'] = 0xf73b,
  ['cloud-moon'] = 0xf6c3,
  ['cloud-moon-rain'] = 0xf73c,
  ['cloud-rain'] = 0xf73d,
  ['cloud-rainbow'] = 0xf73e,
  ['cloud-showers'] = 0xf73f,
  ['cloud-showers-heavy'] = 0xf740,
  ['cloud-sleet'] = 0xf741,
  ['cloud-snow'] = 0xf742,
  ['cloud-sun'] = 0xf6c4,
  ['cloud-sun-rain'] = 0xf743,
  ['cloud-upload'] = 0xf0ee,
  ['cloud-upload-alt'] = 0xf382,
  ['clouds'] = 0xf744,
  ['clouds-moon'] = 0xf745,
  ['clouds-sun'] = 0xf746,
  ['club'] = 0xf327,
  ['cocktail'] = 0xf561,
  ['code'] = 0xf121,
  ['code-branch'] = 0xf126,
  ['code-commit'] = 0xf386,
  ['code-merge'] = 0xf387,
  ['coffee'] = 0xf0f4,
  ['coffee-togo'] = 0xf6c5,
  ['coffin'] = 0xf6c6,
  ['cog'] = 0xf013,
  ['cogs'] = 0xf085,
  ['coins'] = 0xf51e,
  ['columns'] = 0xf0db,
  ['comment'] = 0xf075,
  ['comment-alt'] = 0xf27a,
  ['comment-alt-check'] = 0xf4a2,
  ['comment-alt-dollar'] = 0xf650,
  ['comment-alt-dots'] = 0xf4a3,
  ['comment-alt-edit'] = 0xf4a4,
  ['comment-alt-exclamation'] = 0xf4a5,
  ['comment-alt-lines'] = 0xf4a6,
  ['comment-alt-medical'] = 0xf7f4,
  ['comment-alt-minus'] = 0xf4a7,
  ['comment-alt-plus'] = 0xf4a8,
  ['comment-alt-slash'] = 0xf4a9,
  ['comment-alt-smile'] = 0xf4aa,
  ['comment-alt-times'] = 0xf4ab,
  ['comment-check'] = 0xf4ac,
  ['comment-dollar'] = 0xf651,
  ['comment-dots'] = 0xf4ad,
  ['comment-edit'] = 0xf4ae,
  ['comment-exclamation'] = 0xf4af,
  ['comment-lines'] = 0xf4b0,
  ['comment-medical'] = 0xf7f5,
  ['comment-minus'] = 0xf4b1,
  ['comment-plus'] = 0xf4b2,
  ['comment-slash'] = 0xf4b3,
  ['comment-smile'] = 0xf4b4,
  ['comment-times'] = 0xf4b5,
  ['comments'] = 0xf086,
  ['comments-alt'] = 0xf4b6,
  ['comments-alt-dollar'] = 0xf652,
  ['comments-dollar'] = 0xf653,
  ['compact-disc'] = 0xf51f,
  ['compass'] = 0xf14e,
  ['compass-slash'] = 0xf5e9,
  ['compress'] = 0xf066,
  ['compress-alt'] = 0xf422,
  ['compress-arrows-alt'] = 0xf78c,
  ['compress-wide'] = 0xf326,
  ['concierge-bell'] = 0xf562,
  ['container-storage'] = 0xf4b7,
  ['conveyor-belt'] = 0xf46e,
  ['conveyor-belt-alt'] = 0xf46f,
  ['cookie'] = 0xf563,
  ['cookie-bite'] = 0xf564,
  ['copy'] = 0xf0c5,
  ['copyright'] = 0xf1f9,
  ['corn'] = 0xf6c7,
  ['couch'] = 0xf4b8,
  ['cow'] = 0xf6c8,
  ['credit-card'] = 0xf09d,
  ['credit-card-blank'] = 0xf389,
  ['credit-card-front'] = 0xf38a,
  ['cricket'] = 0xf449,
  ['croissant'] = 0xf7f6,
  ['crop'] = 0xf125,
  ['crop-alt'] = 0xf565,
  ['cross'] = 0xf654,
  ['crosshairs'] = 0xf05b,
  ['crow'] = 0xf520,
  ['crown'] = 0xf521,
  ['crutch'] = 0xf7f7,
  ['crutches'] = 0xf7f8,
  ['cube'] = 0xf1b2,
  ['cubes'] = 0xf1b3,
  ['curling'] = 0xf44a,
  ['cut'] = 0xf0c4,
  ['dagger'] = 0xf6cb,
  ['database'] = 0xf1c0,
  ['deaf'] = 0xf2a4,
  ['debug'] = 0xf7f9,
  ['deer'] = 0xf78e,
  ['deer-rudolph'] = 0xf78f,
  ['democrat'] = 0xf747,
  ['desktop'] = 0xf108,
  ['desktop-alt'] = 0xf390,
  ['dewpoint'] = 0xf748,
  ['dharmachakra'] = 0xf655,
  ['diagnoses'] = 0xf470,
  ['diamond'] = 0xf219,
  ['dice'] = 0xf522,
  ['dice-d10'] = 0xf6cd,
  ['dice-d12'] = 0xf6ce,
  ['dice-d20'] = 0xf6cf,
  ['dice-d4'] = 0xf6d0,
  ['dice-d6'] = 0xf6d1,
  ['dice-d8'] = 0xf6d2,
  ['dice-five'] = 0xf523,
  ['dice-four'] = 0xf524,
  ['dice-one'] = 0xf525,
  ['dice-six'] = 0xf526,
  ['dice-three'] = 0xf527,
  ['dice-two'] = 0xf528,
  ['digital-tachograph'] = 0xf566,
  ['diploma'] = 0xf5ea,
  ['directions'] = 0xf5eb,
  ['disease'] = 0xf7fa,
  ['divide'] = 0xf529,
  ['dizzy'] = 0xf567,
  ['dna'] = 0xf471,
  ['do-not-enter'] = 0xf5ec,
  ['dog'] = 0xf6d3,
  ['dog-leashed'] = 0xf6d4,
  ['dollar-sign'] = 0xf155,
  ['dolly'] = 0xf472,
  ['dolly-empty'] = 0xf473,
  ['dolly-flatbed'] = 0xf474,
  ['dolly-flatbed-alt'] = 0xf475,
  ['dolly-flatbed-empty'] = 0xf476,
  ['donate'] = 0xf4b9,
  ['door-closed'] = 0xf52a,
  ['door-open'] = 0xf52b,
  ['dot-circle'] = 0xf192,
  ['dove'] = 0xf4ba,
  ['download'] = 0xf019,
  ['drafting-compass'] = 0xf568,
  ['dragon'] = 0xf6d5,
  ['draw-circle'] = 0xf5ed,
  ['draw-polygon'] = 0xf5ee,
  ['draw-square'] = 0xf5ef,
  ['dreidel'] = 0xf792,
  ['drum'] = 0xf569,
  ['drum-steelpan'] = 0xf56a,
  ['drumstick'] = 0xf6d6,
  ['drumstick-bite'] = 0xf6d7,
  ['duck'] = 0xf6d8,
  ['dumbbell'] = 0xf44b,
  ['dumpster'] = 0xf793,
  ['dumpster-fire'] = 0xf794,
  ['dungeon'] = 0xf6d9,
  ['ear'] = 0xf5f0,
  ['ear-muffs'] = 0xf795,
  ['eclipse'] = 0xf749,
  ['eclipse-alt'] = 0xf74a,
  ['edit'] = 0xf044,
  ['egg'] = 0xf7fb,
  ['egg-fried'] = 0xf7fc,
  ['eject'] = 0xf052,
  ['elephant'] = 0xf6da,
  ['ellipsis-h'] = 0xf141,
  ['ellipsis-h-alt'] = 0xf39b,
  ['ellipsis-v'] = 0xf142,
  ['ellipsis-v-alt'] = 0xf39c,
  ['empty-set'] = 0xf656,
  ['engine-warning'] = 0xf5f2,
  ['envelope'] = 0xf0e0,
  ['envelope-open'] = 0xf2b6,
  ['envelope-open-dollar'] = 0xf657,
  ['envelope-open-text'] = 0xf658,
  ['envelope-square'] = 0xf199,
  ['equals'] = 0xf52c,
  ['eraser'] = 0xf12d,
  ['ethernet'] = 0xf796,
  ['euro-sign'] = 0xf153,
  ['exchange'] = 0xf0ec,
  ['exchange-alt'] = 0xf362,
  ['exclamation'] = 0xf12a,
  ['exclamation-circle'] = 0xf06a,
  ['exclamation-square'] = 0xf321,
  ['exclamation-triangle'] = 0xf071,
  ['expand'] = 0xf065,
  ['expand-alt'] = 0xf424,
  ['expand-arrows'] = 0xf31d,
  ['expand-arrows-alt'] = 0xf31e,
  ['expand-wide'] = 0xf320,
  ['external-link'] = 0xf08e,
  ['external-link-alt'] = 0xf35d,
  ['external-link-square'] = 0xf14c,
  ['external-link-square-alt'] = 0xf360,
  ['eye'] = 0xf06e,
  ['eye-dropper'] = 0xf1fb,
  ['eye-evil'] = 0xf6db,
  ['eye-slash'] = 0xf070,
  ['fast-backward'] = 0xf049,
  ['fast-forward'] = 0xf050,
  ['fax'] = 0xf1ac,
  ['feather'] = 0xf52d,
  ['feather-alt'] = 0xf56b,
  ['female'] = 0xf182,
  ['field-hockey'] = 0xf44c,
  ['fighter-jet'] = 0xf0fb,
  ['file'] = 0xf15b,
  ['file-alt'] = 0xf15c,
  ['file-archive'] = 0xf1c6,
  ['file-audio'] = 0xf1c7,
  ['file-certificate'] = 0xf5f3,
  ['file-chart-line'] = 0xf659,
  ['file-chart-pie'] = 0xf65a,
  ['file-check'] = 0xf316,
  ['file-code'] = 0xf1c9,
  ['file-contract'] = 0xf56c,
  ['file-csv'] = 0xf6dd,
  ['file-download'] = 0xf56d,
  ['file-edit'] = 0xf31c,
  ['file-excel'] = 0xf1c3,
  ['file-exclamation'] = 0xf31a,
  ['file-export'] = 0xf56e,
  ['file-image'] = 0xf1c5,
  ['file-import'] = 0xf56f,
  ['file-invoice'] = 0xf570,
  ['file-invoice-dollar'] = 0xf571,
  ['file-medical'] = 0xf477,
  ['file-medical-alt'] = 0xf478,
  ['file-minus'] = 0xf318,
  ['file-pdf'] = 0xf1c1,
  ['file-plus'] = 0xf319,
  ['file-powerpoint'] = 0xf1c4,
  ['file-prescription'] = 0xf572,
  ['file-signature'] = 0xf573,
  ['file-spreadsheet'] = 0xf65b,
  ['file-times'] = 0xf317,
  ['file-upload'] = 0xf574,
  ['file-user'] = 0xf65c,
  ['file-video'] = 0xf1c8,
  ['file-word'] = 0xf1c2,
  ['files-medical'] = 0xf7fd,
  ['fill'] = 0xf575,
  ['fill-drip'] = 0xf576,
  ['film'] = 0xf008,
  ['film-alt'] = 0xf3a0,
  ['filter'] = 0xf0b0,
  ['fingerprint'] = 0xf577,
  ['fire'] = 0xf06d,
  ['fire-alt'] = 0xf7e4,
  ['fire-extinguisher'] = 0xf134,
  ['fire-smoke'] = 0xf74b,
  ['fireplace'] = 0xf79a,
  ['first-aid'] = 0xf479,
  ['fish'] = 0xf578,
  ['fish-cooked'] = 0xf7fe,
  ['fist-raised'] = 0xf6de,
  ['flag'] = 0xf024,
  ['flag-alt'] = 0xf74c,
  ['flag-checkered'] = 0xf11e,
  ['flag-usa'] = 0xf74d,
  ['flame'] = 0xf6df,
  ['flask'] = 0xf0c3,
  ['flask-poison'] = 0xf6e0,
  ['flask-potion'] = 0xf6e1,
  ['flower'] = 0xf7ff,
  ['flower-daffodil'] = 0xf800,
  ['flower-tulip'] = 0xf801,
  ['flushed'] = 0xf579,
  ['fog'] = 0xf74e,
  ['folder'] = 0xf07b,
  ['folder-minus'] = 0xf65d,
  ['folder-open'] = 0xf07c,
  ['folder-plus'] = 0xf65e,
  ['folder-times'] = 0xf65f,
  ['folder-tree'] = 0xf802,
  ['folders'] = 0xf660,
  ['font'] = 0xf031,
  ['football-ball'] = 0xf44e,
  ['football-helmet'] = 0xf44f,
  ['forklift'] = 0xf47a,
  ['forward'] = 0xf04e,
  ['fragile'] = 0xf4bb,
  ['french-fries'] = 0xf803,
  ['frog'] = 0xf52e,
  ['frosty-head'] = 0xf79b,
  ['frown'] = 0xf119,
  ['frown-open'] = 0xf57a,
  ['function'] = 0xf661,
  ['funnel-dollar'] = 0xf662,
  ['futbol'] = 0xf1e3,
  ['gamepad'] = 0xf11b,
  ['gas-pump'] = 0xf52f,
  ['gas-pump-slash'] = 0xf5f4,
  ['gavel'] = 0xf0e3,
  ['gem'] = 0xf3a5,
  ['genderless'] = 0xf22d,
  ['ghost'] = 0xf6e2,
  ['gift'] = 0xf06b,
  ['gift-card'] = 0xf663,
  ['gifts'] = 0xf79c,
  ['gingerbread-man'] = 0xf79d,
  ['glass'] = 0xf804,
  ['glass-champagne'] = 0xf79e,
  ['glass-cheers'] = 0xf79f,
  ['glass-martini'] = 0xf000,
  ['glass-martini-alt'] = 0xf57b,
  ['glass-whiskey'] = 0xf7a0,
  ['glass-whiskey-rocks'] = 0xf7a1,
  ['glasses'] = 0xf530,
  ['glasses-alt'] = 0xf5f5,
  ['globe'] = 0xf0ac,
  ['globe-africa'] = 0xf57c,
  ['globe-americas'] = 0xf57d,
  ['globe-asia'] = 0xf57e,
  ['globe-europe'] = 0xf7a2,
  ['globe-snow'] = 0xf7a3,
  ['globe-stand'] = 0xf5f6,
  ['golf-ball'] = 0xf450,
  ['golf-club'] = 0xf451,
  ['gopuram'] = 0xf664,
  ['graduation-cap'] = 0xf19d,
  ['greater-than'] = 0xf531,
  ['greater-than-equal'] = 0xf532,
  ['grimace'] = 0xf57f,
  ['grin'] = 0xf580,
  ['grin-alt'] = 0xf581,
  ['grin-beam'] = 0xf582,
  ['grin-beam-sweat'] = 0xf583,
  ['grin-hearts'] = 0xf584,
  ['grin-squint'] = 0xf585,
  ['grin-squint-tears'] = 0xf586,
  ['grin-stars'] = 0xf587,
  ['grin-tears'] = 0xf588,
  ['grin-tongue'] = 0xf589,
  ['grin-tongue-squint'] = 0xf58a,
  ['grin-tongue-wink'] = 0xf58b,
  ['grin-wink'] = 0xf58c,
  ['grip-horizontal'] = 0xf58d,
  ['grip-lines'] = 0xf7a4,
  ['grip-lines-vertical'] = 0xf7a5,
  ['grip-vertical'] = 0xf58e,
  ['guitar'] = 0xf7a6,
  ['h-square'] = 0xf0fd,
  ['h1'] = 0xf313,
  ['h2'] = 0xf314,
  ['h3'] = 0xf315,
  ['hamburger'] = 0xf805,
  ['hammer'] = 0xf6e3,
  ['hammer-war'] = 0xf6e4,
  ['hamsa'] = 0xf665,
  ['hand-heart'] = 0xf4bc,
  ['hand-holding'] = 0xf4bd,
  ['hand-holding-box'] = 0xf47b,
  ['hand-holding-heart'] = 0xf4be,
  ['hand-holding-magic'] = 0xf6e5,
  ['hand-holding-seedling'] = 0xf4bf,
  ['hand-holding-usd'] = 0xf4c0,
  ['hand-holding-water'] = 0xf4c1,
  ['hand-lizard'] = 0xf258,
  ['hand-middle-finger'] = 0xf806,
  ['hand-paper'] = 0xf256,
  ['hand-peace'] = 0xf25b,
  ['hand-point-down'] = 0xf0a7,
  ['hand-point-left'] = 0xf0a5,
  ['hand-point-right'] = 0xf0a4,
  ['hand-point-up'] = 0xf0a6,
  ['hand-pointer'] = 0xf25a,
  ['hand-receiving'] = 0xf47c,
  ['hand-rock'] = 0xf255,
  ['hand-scissors'] = 0xf257,
  ['hand-spock'] = 0xf259,
  ['hands'] = 0xf4c2,
  ['hands-heart'] = 0xf4c3,
  ['hands-helping'] = 0xf4c4,
  ['hands-usd'] = 0xf4c5,
  ['handshake'] = 0xf2b5,
  ['handshake-alt'] = 0xf4c6,
  ['hanukiah'] = 0xf6e6,
  ['hard-hat'] = 0xf807,
  ['hashtag'] = 0xf292,
  ['hat-santa'] = 0xf7a7,
  ['hat-winter'] = 0xf7a8,
  ['hat-witch'] = 0xf6e7,
  ['hat-wizard'] = 0xf6e8,
  ['haykal'] = 0xf666,
  ['hdd'] = 0xf0a0,
  ['head-side'] = 0xf6e9,
  ['head-side-brain'] = 0xf808,
  ['head-side-medical'] = 0xf809,
  ['head-vr'] = 0xf6ea,
  ['heading'] = 0xf1dc,
  ['headphones'] = 0xf025,
  ['headphones-alt'] = 0xf58f,
  ['headset'] = 0xf590,
  ['heart'] = 0xf004,
  ['heart-broken'] = 0xf7a9,
  ['heart-circle'] = 0xf4c7,
  ['heart-rate'] = 0xf5f8,
  ['heart-square'] = 0xf4c8,
  ['heartbeat'] = 0xf21e,
  ['helicopter'] = 0xf533,
  ['helmet-battle'] = 0xf6eb,
  ['hexagon'] = 0xf312,
  ['highlighter'] = 0xf591,
  ['hiking'] = 0xf6ec,
  ['hippo'] = 0xf6ed,
  ['history'] = 0xf1da,
  ['hockey-mask'] = 0xf6ee,
  ['hockey-puck'] = 0xf453,
  ['hockey-sticks'] = 0xf454,
  ['holly-berry'] = 0xf7aa,
  ['home'] = 0xf015,
  ['home-alt'] = 0xf80a,
  ['home-heart'] = 0xf4c9,
  ['home-lg'] = 0xf80b,
  ['home-lg-alt'] = 0xf80c,
  ['hood-cloak'] = 0xf6ef,
  ['horse'] = 0xf6f0,
  ['horse-head'] = 0xf7ab,
  ['hospital'] = 0xf0f8,
  ['hospital-alt'] = 0xf47d,
  ['hospital-symbol'] = 0xf47e,
  ['hospital-user'] = 0xf80d,
  ['hospitals'] = 0xf80e,
  ['hot-tub'] = 0xf593,
  ['hotdog'] = 0xf80f,
  ['hotel'] = 0xf594,
  ['hourglass'] = 0xf254,
  ['hourglass-end'] = 0xf253,
  ['hourglass-half'] = 0xf252,
  ['hourglass-start'] = 0xf251,
  ['house-damage'] = 0xf6f1,
  ['house-flood'] = 0xf74f,
  ['hryvnia'] = 0xf6f2,
  ['humidity'] = 0xf750,
  ['hurricane'] = 0xf751,
  ['i-cursor'] = 0xf246,
  ['ice-cream'] = 0xf810,
  ['ice-skate'] = 0xf7ac,
  ['icicles'] = 0xf7ad,
  ['id-badge'] = 0xf2c1,
  ['id-card'] = 0xf2c2,
  ['id-card-alt'] = 0xf47f,
  ['igloo'] = 0xf7ae,
  ['image'] = 0xf03e,
  ['images'] = 0xf302,
  ['inbox'] = 0xf01c,
  ['inbox-in'] = 0xf310,
  ['inbox-out'] = 0xf311,
  ['indent'] = 0xf03c,
  ['industry'] = 0xf275,
  ['industry-alt'] = 0xf3b3,
  ['infinity'] = 0xf534,
  ['info'] = 0xf129,
  ['info-circle'] = 0xf05a,
  ['info-square'] = 0xf30f,
  ['inhaler'] = 0xf5f9,
  ['integral'] = 0xf667,
  ['intersection'] = 0xf668,
  ['inventory'] = 0xf480,
  ['island-tropical'] = 0xf811,
  ['italic'] = 0xf033,
  ['jack-o-lantern'] = 0xf30e,
  ['jedi'] = 0xf669,
  ['joint'] = 0xf595,
  ['journal-whills'] = 0xf66a,
  ['kaaba'] = 0xf66b,
  ['key'] = 0xf084,
  ['key-skeleton'] = 0xf6f3,
  ['keyboard'] = 0xf11c,
  ['keynote'] = 0xf66c,
  ['khanda'] = 0xf66d,
  ['kidneys'] = 0xf5fb,
  ['kiss'] = 0xf596,
  ['kiss-beam'] = 0xf597,
  ['kiss-wink-heart'] = 0xf598,
  ['kite'] = 0xf6f4,
  ['kiwi-bird'] = 0xf535,
  ['knife-kitchen'] = 0xf6f5,
  ['lambda'] = 0xf66e,
  ['lamp'] = 0xf4ca,
  ['landmark'] = 0xf66f,
  ['landmark-alt'] = 0xf752,
  ['language'] = 0xf1ab,
  ['laptop'] = 0xf109,
  ['laptop-code'] = 0xf5fc,
  ['laptop-medical'] = 0xf812,
  ['laugh'] = 0xf599,
  ['laugh-beam'] = 0xf59a,
  ['laugh-squint'] = 0xf59b,
  ['laugh-wink'] = 0xf59c,
  ['layer-group'] = 0xf5fd,
  ['layer-minus'] = 0xf5fe,
  ['layer-plus'] = 0xf5ff,
  ['leaf'] = 0xf06c,
  ['leaf-heart'] = 0xf4cb,
  ['leaf-maple'] = 0xf6f6,
  ['leaf-oak'] = 0xf6f7,
  ['lemon'] = 0xf094,
  ['less-than'] = 0xf536,
  ['less-than-equal'] = 0xf537,
  ['level-down'] = 0xf149,
  ['level-down-alt'] = 0xf3be,
  ['level-up'] = 0xf148,
  ['level-up-alt'] = 0xf3bf,
  ['life-ring'] = 0xf1cd,
  ['lightbulb'] = 0xf0eb,
  ['lightbulb-dollar'] = 0xf670,
  ['lightbulb-exclamation'] = 0xf671,
  ['lightbulb-on'] = 0xf672,
  ['lightbulb-slash'] = 0xf673,
  ['lights-holiday'] = 0xf7b2,
  ['link'] = 0xf0c1,
  ['lips'] = 0xf600,
  ['lira-sign'] = 0xf195,
  ['list'] = 0xf03a,
  ['list-alt'] = 0xf022,
  ['list-ol'] = 0xf0cb,
  ['list-ul'] = 0xf0ca,
  ['location'] = 0xf601,
  ['location-arrow'] = 0xf124,
  ['location-circle'] = 0xf602,
  ['location-slash'] = 0xf603,
  ['lock'] = 0xf023,
  ['lock-alt'] = 0xf30d,
  ['lock-open'] = 0xf3c1,
  ['lock-open-alt'] = 0xf3c2,
  ['long-arrow-alt-down'] = 0xf309,
  ['long-arrow-alt-left'] = 0xf30a,
  ['long-arrow-alt-right'] = 0xf30b,
  ['long-arrow-alt-up'] = 0xf30c,
  ['long-arrow-down'] = 0xf175,
  ['long-arrow-left'] = 0xf177,
  ['long-arrow-right'] = 0xf178,
  ['long-arrow-up'] = 0xf176,
  ['loveseat'] = 0xf4cc,
  ['low-vision'] = 0xf2a8,
  ['luchador'] = 0xf455,
  ['luggage-cart'] = 0xf59d,
  ['lungs'] = 0xf604,
  ['mace'] = 0xf6f8,
  ['magic'] = 0xf0d0,
  ['magnet'] = 0xf076,
  ['mail-bulk'] = 0xf674,
  ['mailbox'] = 0xf813,
  ['male'] = 0xf183,
  ['mandolin'] = 0xf6f9,
  ['map'] = 0xf279,
  ['map-marked'] = 0xf59f,
  ['map-marked-alt'] = 0xf5a0,
  ['map-marker'] = 0xf041,
  ['map-marker-alt'] = 0xf3c5,
  ['map-marker-alt-slash'] = 0xf605,
  ['map-marker-check'] = 0xf606,
  ['map-marker-edit'] = 0xf607,
  ['map-marker-exclamation'] = 0xf608,
  ['map-marker-minus'] = 0xf609,
  ['map-marker-plus'] = 0xf60a,
  ['map-marker-question'] = 0xf60b,
  ['map-marker-slash'] = 0xf60c,
  ['map-marker-smile'] = 0xf60d,
  ['map-marker-times'] = 0xf60e,
  ['map-pin'] = 0xf276,
  ['map-signs'] = 0xf277,
  ['marker'] = 0xf5a1,
  ['mars'] = 0xf222,
  ['mars-double'] = 0xf227,
  ['mars-stroke'] = 0xf229,
  ['mars-stroke-h'] = 0xf22b,
  ['mars-stroke-v'] = 0xf22a,
  ['mask'] = 0xf6fa,
  ['meat'] = 0xf814,
  ['medal'] = 0xf5a2,
  ['medkit'] = 0xf0fa,
  ['megaphone'] = 0xf675,
  ['meh'] = 0xf11a,
  ['meh-blank'] = 0xf5a4,
  ['meh-rolling-eyes'] = 0xf5a5,
  ['memory'] = 0xf538,
  ['menorah'] = 0xf676,
  ['mercury'] = 0xf223,
  ['meteor'] = 0xf753,
  ['microchip'] = 0xf2db,
  ['microphone'] = 0xf130,
  ['microphone-alt'] = 0xf3c9,
  ['microphone-alt-slash'] = 0xf539,
  ['microphone-slash'] = 0xf131,
  ['microscope'] = 0xf610,
  ['mind-share'] = 0xf677,
  ['minus'] = 0xf068,
  ['minus-circle'] = 0xf056,
  ['minus-hexagon'] = 0xf307,
  ['minus-octagon'] = 0xf308,
  ['minus-square'] = 0xf146,
  ['mistletoe'] = 0xf7b4,
  ['mitten'] = 0xf7b5,
  ['mobile'] = 0xf10b,
  ['mobile-alt'] = 0xf3cd,
  ['mobile-android'] = 0xf3ce,
  ['mobile-android-alt'] = 0xf3cf,
  ['money-bill'] = 0xf0d6,
  ['money-bill-alt'] = 0xf3d1,
  ['money-bill-wave'] = 0xf53a,
  ['money-bill-wave-alt'] = 0xf53b,
  ['money-check'] = 0xf53c,
  ['money-check-alt'] = 0xf53d,
  ['monitor-heart-rate'] = 0xf611,
  ['monkey'] = 0xf6fb,
  ['monument'] = 0xf5a6,
  ['moon'] = 0xf186,
  ['moon-cloud'] = 0xf754,
  ['moon-stars'] = 0xf755,
  ['mortar-pestle'] = 0xf5a7,
  ['mosque'] = 0xf678,
  ['motorcycle'] = 0xf21c,
  ['mountain'] = 0xf6fc,
  ['mountains'] = 0xf6fd,
  ['mouse-pointer'] = 0xf245,
  ['mug-hot'] = 0xf7b6,
  ['mug-marshmallows'] = 0xf7b7,
  ['music'] = 0xf001,
  ['narwhal'] = 0xf6fe,
  ['network-wired'] = 0xf6ff,
  ['neuter'] = 0xf22c,
  ['newspaper'] = 0xf1ea,
  ['not-equal'] = 0xf53e,
  ['notes-medical'] = 0xf481,
  ['object-group'] = 0xf247,
  ['object-ungroup'] = 0xf248,
  ['octagon'] = 0xf306,
  ['oil-can'] = 0xf613,
  ['oil-temp'] = 0xf614,
  ['om'] = 0xf679,
  ['omega'] = 0xf67a,
  ['ornament'] = 0xf7b8,
  ['otter'] = 0xf700,
  ['outdent'] = 0xf03b,
  ['pager'] = 0xf815,
  ['paint-brush'] = 0xf1fc,
  ['paint-brush-alt'] = 0xf5a9,
  ['paint-roller'] = 0xf5aa,
  ['palette'] = 0xf53f,
  ['pallet'] = 0xf482,
  ['pallet-alt'] = 0xf483,
  ['paper-plane'] = 0xf1d8,
  ['paperclip'] = 0xf0c6,
  ['parachute-box'] = 0xf4cd,
  ['paragraph'] = 0xf1dd,
  ['parking'] = 0xf540,
  ['parking-circle'] = 0xf615,
  ['parking-circle-slash'] = 0xf616,
  ['parking-slash'] = 0xf617,
  ['passport'] = 0xf5ab,
  ['pastafarianism'] = 0xf67b,
  ['paste'] = 0xf0ea,
  ['pause'] = 0xf04c,
  ['pause-circle'] = 0xf28b,
  ['paw'] = 0xf1b0,
  ['paw-alt'] = 0xf701,
  ['paw-claws'] = 0xf702,
  ['peace'] = 0xf67c,
  ['pegasus'] = 0xf703,
  ['pen'] = 0xf304,
  ['pen-alt'] = 0xf305,
  ['pen-fancy'] = 0xf5ac,
  ['pen-nib'] = 0xf5ad,
  ['pen-square'] = 0xf14b,
  ['pencil'] = 0xf040,
  ['pencil-alt'] = 0xf303,
  ['pencil-paintbrush'] = 0xf618,
  ['pencil-ruler'] = 0xf5ae,
  ['pennant'] = 0xf456,
  ['people-carry'] = 0xf4ce,
  ['pepper-hot'] = 0xf816,
  ['percent'] = 0xf295,
  ['percentage'] = 0xf541,
  ['person-booth'] = 0xf756,
  ['person-carry'] = 0xf4cf,
  ['person-dolly'] = 0xf4d0,
  ['person-dolly-empty'] = 0xf4d1,
  ['person-sign'] = 0xf757,
  ['phone'] = 0xf095,
  ['phone-office'] = 0xf67d,
  ['phone-plus'] = 0xf4d2,
  ['phone-slash'] = 0xf3dd,
  ['phone-square'] = 0xf098,
  ['phone-volume'] = 0xf2a0,
  ['pi'] = 0xf67e,
  ['pie'] = 0xf705,
  ['pig'] = 0xf706,
  ['piggy-bank'] = 0xf4d3,
  ['pills'] = 0xf484,
  ['pizza'] = 0xf817,
  ['pizza-slice'] = 0xf818,
  ['place-of-worship'] = 0xf67f,
  ['plane'] = 0xf072,
  ['plane-alt'] = 0xf3de,
  ['plane-arrival'] = 0xf5af,
  ['plane-departure'] = 0xf5b0,
  ['play'] = 0xf04b,
  ['play-circle'] = 0xf144,
  ['plug'] = 0xf1e6,
  ['plus'] = 0xf067,
  ['plus-circle'] = 0xf055,
  ['plus-hexagon'] = 0xf300,
  ['plus-octagon'] = 0xf301,
  ['plus-square'] = 0xf0fe,
  ['podcast'] = 0xf2ce,
  ['podium'] = 0xf680,
  ['podium-star'] = 0xf758,
  ['poll'] = 0xf681,
  ['poll-h'] = 0xf682,
  ['poll-people'] = 0xf759,
  ['poo'] = 0xf2fe,
  ['poo-storm'] = 0xf75a,
  ['poop'] = 0xf619,
  ['popcorn'] = 0xf819,
  ['portrait'] = 0xf3e0,
  ['pound-sign'] = 0xf154,
  ['power-off'] = 0xf011,
  ['pray'] = 0xf683,
  ['praying-hands'] = 0xf684,
  ['prescription'] = 0xf5b1,
  ['prescription-bottle'] = 0xf485,
  ['prescription-bottle-alt'] = 0xf486,
  ['presentation'] = 0xf685,
  ['print'] = 0xf02f,
  ['print-search'] = 0xf81a,
  ['print-slash'] = 0xf686,
  ['procedures'] = 0xf487,
  ['project-diagram'] = 0xf542,
  ['pumpkin'] = 0xf707,
  ['puzzle-piece'] = 0xf12e,
  ['qrcode'] = 0xf029,
  ['question'] = 0xf128,
  ['question-circle'] = 0xf059,
  ['question-square'] = 0xf2fd,
  ['quidditch'] = 0xf458,
  ['quote-left'] = 0xf10d,
  ['quote-right'] = 0xf10e,
  ['quran'] = 0xf687,
  ['rabbit'] = 0xf708,
  ['rabbit-fast'] = 0xf709,
  ['racquet'] = 0xf45a,
  ['radiation'] = 0xf7b9,
  ['radiation-alt'] = 0xf7ba,
  ['rainbow'] = 0xf75b,
  ['raindrops'] = 0xf75c,
  ['ram'] = 0xf70a,
  ['ramp-loading'] = 0xf4d4,
  ['random'] = 0xf074,
  ['receipt'] = 0xf543,
  ['rectangle-landscape'] = 0xf2fa,
  ['rectangle-portrait'] = 0xf2fb,
  ['rectangle-wide'] = 0xf2fc,
  ['recycle'] = 0xf1b8,
  ['redo'] = 0xf01e,
  ['redo-alt'] = 0xf2f9,
  ['registered'] = 0xf25d,
  ['repeat'] = 0xf363,
  ['repeat-1'] = 0xf365,
  ['repeat-1-alt'] = 0xf366,
  ['repeat-alt'] = 0xf364,
  ['reply'] = 0xf3e5,
  ['reply-all'] = 0xf122,
  ['republican'] = 0xf75e,
  ['restroom'] = 0xf7bd,
  ['retweet'] = 0xf079,
  ['retweet-alt'] = 0xf361,
  ['ribbon'] = 0xf4d6,
  ['ring'] = 0xf70b,
  ['rings-wedding'] = 0xf81b,
  ['road'] = 0xf018,
  ['robot'] = 0xf544,
  ['rocket'] = 0xf135,
  ['route'] = 0xf4d7,
  ['route-highway'] = 0xf61a,
  ['route-interstate'] = 0xf61b,
  ['rss'] = 0xf09e,
  ['rss-square'] = 0xf143,
  ['ruble-sign'] = 0xf158,
  ['ruler'] = 0xf545,
  ['ruler-combined'] = 0xf546,
  ['ruler-horizontal'] = 0xf547,
  ['ruler-triangle'] = 0xf61c,
  ['ruler-vertical'] = 0xf548,
  ['running'] = 0xf70c,
  ['rupee-sign'] = 0xf156,
  ['rv'] = 0xf7be,
  ['sack'] = 0xf81c,
  ['sack-dollar'] = 0xf81d,
  ['sad-cry'] = 0xf5b3,
  ['sad-tear'] = 0xf5b4,
  ['salad'] = 0xf81e,
  ['sandwich'] = 0xf81f,
  ['satellite'] = 0xf7bf,
  ['satellite-dish'] = 0xf7c0,
  ['sausage'] = 0xf820,
  ['save'] = 0xf0c7,
  ['scalpel'] = 0xf61d,
  ['scalpel-path'] = 0xf61e,
  ['scanner'] = 0xf488,
  ['scanner-keyboard'] = 0xf489,
  ['scanner-touchscreen'] = 0xf48a,
  ['scarecrow'] = 0xf70d,
  ['scarf'] = 0xf7c1,
  ['school'] = 0xf549,
  ['screwdriver'] = 0xf54a,
  ['scroll'] = 0xf70e,
  ['scroll-old'] = 0xf70f,
  ['scrubber'] = 0xf2f8,
  ['scythe'] = 0xf710,
  ['sd-card'] = 0xf7c2,
  ['search'] = 0xf002,
  ['search-dollar'] = 0xf688,
  ['search-location'] = 0xf689,
  ['search-minus'] = 0xf010,
  ['search-plus'] = 0xf00e,
  ['seedling'] = 0xf4d8,
  ['server'] = 0xf233,
  ['shapes'] = 0xf61f,
  ['share'] = 0xf064,
  ['share-all'] = 0xf367,
  ['share-alt'] = 0xf1e0,
  ['share-alt-square'] = 0xf1e1,
  ['share-square'] = 0xf14d,
  ['sheep'] = 0xf711,
  ['shekel-sign'] = 0xf20b,
  ['shield'] = 0xf132,
  ['shield-alt'] = 0xf3ed,
  ['shield-check'] = 0xf2f7,
  ['shield-cross'] = 0xf712,
  ['ship'] = 0xf21a,
  ['shipping-fast'] = 0xf48b,
  ['shipping-timed'] = 0xf48c,
  ['shish-kebab'] = 0xf821,
  ['shoe-prints'] = 0xf54b,
  ['shopping-bag'] = 0xf290,
  ['shopping-basket'] = 0xf291,
  ['shopping-cart'] = 0xf07a,
  ['shovel'] = 0xf713,
  ['shovel-snow'] = 0xf7c3,
  ['shower'] = 0xf2cc,
  ['shredder'] = 0xf68a,
  ['shuttle-van'] = 0xf5b6,
  ['shuttlecock'] = 0xf45b,
  ['sickle'] = 0xf822,
  ['sigma'] = 0xf68b,
  ['sign'] = 0xf4d9,
  ['sign-in'] = 0xf090,
  ['sign-in-alt'] = 0xf2f6,
  ['sign-language'] = 0xf2a7,
  ['sign-out'] = 0xf08b,
  ['sign-out-alt'] = 0xf2f5,
  ['signal'] = 0xf012,
  ['signal-1'] = 0xf68c,
  ['signal-2'] = 0xf68d,
  ['signal-3'] = 0xf68e,
  ['signal-4'] = 0xf68f,
  ['signal-alt'] = 0xf690,
  ['signal-alt-1'] = 0xf691,
  ['signal-alt-2'] = 0xf692,
  ['signal-alt-3'] = 0xf693,
  ['signal-alt-slash'] = 0xf694,
  ['signal-slash'] = 0xf695,
  ['signature'] = 0xf5b7,
  ['sim-card'] = 0xf7c4,
  ['sitemap'] = 0xf0e8,
  ['skating'] = 0xf7c5,
  ['skeleton'] = 0xf620,
  ['ski-jump'] = 0xf7c7,
  ['ski-lift'] = 0xf7c8,
  ['skiing'] = 0xf7c9,
  ['skiing-nordic'] = 0xf7ca,
  ['skull'] = 0xf54c,
  ['skull-crossbones'] = 0xf714,
  ['slash'] = 0xf715,
  ['sledding'] = 0xf7cb,
  ['sleigh'] = 0xf7cc,
  ['sliders-h'] = 0xf1de,
  ['sliders-h-square'] = 0xf3f0,
  ['sliders-v'] = 0xf3f1,
  ['sliders-v-square'] = 0xf3f2,
  ['smile'] = 0xf118,
  ['smile-beam'] = 0xf5b8,
  ['smile-plus'] = 0xf5b9,
  ['smile-wink'] = 0xf4da,
  ['smog'] = 0xf75f,
  ['smoke'] = 0xf760,
  ['smoking'] = 0xf48d,
  ['smoking-ban'] = 0xf54d,
  ['sms'] = 0xf7cd,
  ['snake'] = 0xf716,
  ['snow-blowing'] = 0xf761,
  ['snowboarding'] = 0xf7ce,
  ['snowflake'] = 0xf2dc,
  ['snowflakes'] = 0xf7cf,
  ['snowman'] = 0xf7d0,
  ['snowmobile'] = 0xf7d1,
  ['snowplow'] = 0xf7d2,
  ['socks'] = 0xf696,
  ['solar-panel'] = 0xf5ba,
  ['sort'] = 0xf0dc,
  ['sort-alpha-down'] = 0xf15d,
  ['sort-alpha-up'] = 0xf15e,
  ['sort-amount-down'] = 0xf160,
  ['sort-amount-up'] = 0xf161,
  ['sort-down'] = 0xf0dd,
  ['sort-numeric-down'] = 0xf162,
  ['sort-numeric-up'] = 0xf163,
  ['sort-up'] = 0xf0de,
  ['soup'] = 0xf823,
  ['spa'] = 0xf5bb,
  ['space-shuttle'] = 0xf197,
  ['spade'] = 0xf2f4,
  ['spider'] = 0xf717,
  ['spider-black-widow'] = 0xf718,
  ['spider-web'] = 0xf719,
  ['spinner'] = 0xf110,
  ['spinner-third'] = 0xf3f4,
  ['splotch'] = 0xf5bc,
  ['spray-can'] = 0xf5bd,
  ['square'] = 0xf0c8,
  ['square-full'] = 0xf45c,
  ['square-root'] = 0xf697,
  ['square-root-alt'] = 0xf698,
  ['squirrel'] = 0xf71a,
  ['staff'] = 0xf71b,
  ['stamp'] = 0xf5bf,
  ['star'] = 0xf005,
  ['star-and-crescent'] = 0xf699,
  ['star-christmas'] = 0xf7d4,
  ['star-exclamation'] = 0xf2f3,
  ['star-half'] = 0xf089,
  ['star-half-alt'] = 0xf5c0,
  ['star-of-david'] = 0xf69a,
  ['star-of-life'] = 0xf621,
  ['stars'] = 0xf762,
  ['steak'] = 0xf824,
  ['steering-wheel'] = 0xf622,
  ['step-backward'] = 0xf048,
  ['step-forward'] = 0xf051,
  ['stethoscope'] = 0xf0f1,
  ['sticky-note'] = 0xf249,
  ['stocking'] = 0xf7d5,
  ['stomach'] = 0xf623,
  ['stop'] = 0xf04d,
  ['stop-circle'] = 0xf28d,
  ['stopwatch'] = 0xf2f2,
  ['store'] = 0xf54e,
  ['store-alt'] = 0xf54f,
  ['stream'] = 0xf550,
  ['street-view'] = 0xf21d,
  ['stretcher'] = 0xf825,
  ['strikethrough'] = 0xf0cc,
  ['stroopwafel'] = 0xf551,
  ['subscript'] = 0xf12c,
  ['subway'] = 0xf239,
  ['suitcase'] = 0xf0f2,
  ['suitcase-rolling'] = 0xf5c1,
  ['sun'] = 0xf185,
  ['sun-cloud'] = 0xf763,
  ['sun-dust'] = 0xf764,
  ['sun-haze'] = 0xf765,
  ['sunrise'] = 0xf766,
  ['sunset'] = 0xf767,
  ['superscript'] = 0xf12b,
  ['surprise'] = 0xf5c2,
  ['swatchbook'] = 0xf5c3,
  ['swimmer'] = 0xf5c4,
  ['swimming-pool'] = 0xf5c5,
  ['sword'] = 0xf71c,
  ['swords'] = 0xf71d,
  ['synagogue'] = 0xf69b,
  ['sync'] = 0xf021,
  ['sync-alt'] = 0xf2f1,
  ['syringe'] = 0xf48e,
  ['table'] = 0xf0ce,
  ['table-tennis'] = 0xf45d,
  ['tablet'] = 0xf10a,
  ['tablet-alt'] = 0xf3fa,
  ['tablet-android'] = 0xf3fb,
  ['tablet-android-alt'] = 0xf3fc,
  ['tablet-rugged'] = 0xf48f,
  ['tablets'] = 0xf490,
  ['tachometer'] = 0xf0e4,
  ['tachometer-alt'] = 0xf3fd,
  ['tachometer-alt-average'] = 0xf624,
  ['tachometer-alt-fast'] = 0xf625,
  ['tachometer-alt-fastest'] = 0xf626,
  ['tachometer-alt-slow'] = 0xf627,
  ['tachometer-alt-slowest'] = 0xf628,
  ['tachometer-average'] = 0xf629,
  ['tachometer-fast'] = 0xf62a,
  ['tachometer-fastest'] = 0xf62b,
  ['tachometer-slow'] = 0xf62c,
  ['tachometer-slowest'] = 0xf62d,
  ['taco'] = 0xf826,
  ['tag'] = 0xf02b,
  ['tags'] = 0xf02c,
  ['tally'] = 0xf69c,
  ['tanakh'] = 0xf827,
  ['tape'] = 0xf4db,
  ['tasks'] = 0xf0ae,
  ['tasks-alt'] = 0xf828,
  ['taxi'] = 0xf1ba,
  ['teeth'] = 0xf62e,
  ['teeth-open'] = 0xf62f,
  ['temperature-frigid'] = 0xf768,
  ['temperature-high'] = 0xf769,
  ['temperature-hot'] = 0xf76a,
  ['temperature-low'] = 0xf76b,
  ['tenge'] = 0xf7d7,
  ['tennis-ball'] = 0xf45e,
  ['terminal'] = 0xf120,
  ['text-height'] = 0xf034,
  ['text-width'] = 0xf035,
  ['th'] = 0xf00a,
  ['th-large'] = 0xf009,
  ['th-list'] = 0xf00b,
  ['theater-masks'] = 0xf630,
  ['thermometer'] = 0xf491,
  ['thermometer-empty'] = 0xf2cb,
  ['thermometer-full'] = 0xf2c7,
  ['thermometer-half'] = 0xf2c9,
  ['thermometer-quarter'] = 0xf2ca,
  ['thermometer-three-quarters'] = 0xf2c8,
  ['theta'] = 0xf69e,
  ['thumbs-down'] = 0xf165,
  ['thumbs-up'] = 0xf164,
  ['thumbtack'] = 0xf08d,
  ['thunderstorm'] = 0xf76c,
  ['thunderstorm-moon'] = 0xf76d,
  ['thunderstorm-sun'] = 0xf76e,
  ['ticket'] = 0xf145,
  ['ticket-alt'] = 0xf3ff,
  ['tilde'] = 0xf69f,
  ['times'] = 0xf00d,
  ['times-circle'] = 0xf057,
  ['times-hexagon'] = 0xf2ee,
  ['times-octagon'] = 0xf2f0,
  ['times-square'] = 0xf2d3,
  ['tint'] = 0xf043,
  ['tint-slash'] = 0xf5c7,
  ['tire'] = 0xf631,
  ['tire-flat'] = 0xf632,
  ['tire-pressure-warning'] = 0xf633,
  ['tire-rugged'] = 0xf634,
  ['tired'] = 0xf5c8,
  ['toggle-off'] = 0xf204,
  ['toggle-on'] = 0xf205,
  ['toilet'] = 0xf7d8,
  ['toilet-paper'] = 0xf71e,
  ['toilet-paper-alt'] = 0xf71f,
  ['tombstone'] = 0xf720,
  ['tombstone-alt'] = 0xf721,
  ['toolbox'] = 0xf552,
  ['tools'] = 0xf7d9,
  ['tooth'] = 0xf5c9,
  ['toothbrush'] = 0xf635,
  ['torah'] = 0xf6a0,
  ['torii-gate'] = 0xf6a1,
  ['tornado'] = 0xf76f,
  ['tractor'] = 0xf722,
  ['trademark'] = 0xf25c,
  ['traffic-cone'] = 0xf636,
  ['traffic-light'] = 0xf637,
  ['traffic-light-go'] = 0xf638,
  ['traffic-light-slow'] = 0xf639,
  ['traffic-light-stop'] = 0xf63a,
  ['train'] = 0xf238,
  ['tram'] = 0xf7da,
  ['transgender'] = 0xf224,
  ['transgender-alt'] = 0xf225,
  ['trash'] = 0xf1f8,
  ['trash-alt'] = 0xf2ed,
  ['trash-restore'] = 0xf829,
  ['trash-restore-alt'] = 0xf82a,
  ['treasure-chest'] = 0xf723,
  ['tree'] = 0xf1bb,
  ['tree-alt'] = 0xf400,
  ['tree-christmas'] = 0xf7db,
  ['tree-decorated'] = 0xf7dc,
  ['tree-large'] = 0xf7dd,
  ['tree-palm'] = 0xf82b,
  ['trees'] = 0xf724,
  ['triangle'] = 0xf2ec,
  ['trophy'] = 0xf091,
  ['trophy-alt'] = 0xf2eb,
  ['truck'] = 0xf0d1,
  ['truck-container'] = 0xf4dc,
  ['truck-couch'] = 0xf4dd,
  ['truck-loading'] = 0xf4de,
  ['truck-monster'] = 0xf63b,
  ['truck-moving'] = 0xf4df,
  ['truck-pickup'] = 0xf63c,
  ['truck-plow'] = 0xf7de,
  ['truck-ramp'] = 0xf4e0,
  ['tshirt'] = 0xf553,
  ['tty'] = 0xf1e4,
  ['turkey'] = 0xf725,
  ['turtle'] = 0xf726,
  ['tv'] = 0xf26c,
  ['tv-retro'] = 0xf401,
  ['umbrella'] = 0xf0e9,
  ['umbrella-beach'] = 0xf5ca,
  ['underline'] = 0xf0cd,
  ['undo'] = 0xf0e2,
  ['undo-alt'] = 0xf2ea,
  ['unicorn'] = 0xf727,
  ['union'] = 0xf6a2,
  ['universal-access'] = 0xf29a,
  ['university'] = 0xf19c,
  ['unlink'] = 0xf127,
  ['unlock'] = 0xf09c,
  ['unlock-alt'] = 0xf13e,
  ['upload'] = 0xf093,
  ['usd-circle'] = 0xf2e8,
  ['usd-square'] = 0xf2e9,
  ['user'] = 0xf007,
  ['user-alt'] = 0xf406,
  ['user-alt-slash'] = 0xf4fa,
  ['user-astronaut'] = 0xf4fb,
  ['user-chart'] = 0xf6a3,
  ['user-check'] = 0xf4fc,
  ['user-circle'] = 0xf2bd,
  ['user-clock'] = 0xf4fd,
  ['user-cog'] = 0xf4fe,
  ['user-crown'] = 0xf6a4,
  ['user-edit'] = 0xf4ff,
  ['user-friends'] = 0xf500,
  ['user-graduate'] = 0xf501,
  ['user-hard-hat'] = 0xf82c,
  ['user-headset'] = 0xf82d,
  ['user-injured'] = 0xf728,
  ['user-lock'] = 0xf502,
  ['user-md'] = 0xf0f0,
  ['user-md-chat'] = 0xf82e,
  ['user-minus'] = 0xf503,
  ['user-ninja'] = 0xf504,
  ['user-nurse'] = 0xf82f,
  ['user-plus'] = 0xf234,
  ['user-secret'] = 0xf21b,
  ['user-shield'] = 0xf505,
  ['user-slash'] = 0xf506,
  ['user-tag'] = 0xf507,
  ['user-tie'] = 0xf508,
  ['user-times'] = 0xf235,
  ['users'] = 0xf0c0,
  ['users-class'] = 0xf63d,
  ['users-cog'] = 0xf509,
  ['users-crown'] = 0xf6a5,
  ['users-medical'] = 0xf830,
  ['utensil-fork'] = 0xf2e3,
  ['utensil-knife'] = 0xf2e4,
  ['utensil-spoon'] = 0xf2e5,
  ['utensils'] = 0xf2e7,
  ['utensils-alt'] = 0xf2e6,
  ['value-absolute'] = 0xf6a6,
  ['vector-square'] = 0xf5cb,
  ['venus'] = 0xf221,
  ['venus-double'] = 0xf226,
  ['venus-mars'] = 0xf228,
  ['vial'] = 0xf492,
  ['vials'] = 0xf493,
  ['video'] = 0xf03d,
  ['video-plus'] = 0xf4e1,
  ['video-slash'] = 0xf4e2,
  ['vihara'] = 0xf6a7,
  ['volcano'] = 0xf770,
  ['volleyball-ball'] = 0xf45f,
  ['volume'] = 0xf6a8,
  ['volume-down'] = 0xf027,
  ['volume-mute'] = 0xf6a9,
  ['volume-off'] = 0xf026,
  ['volume-slash'] = 0xf2e2,
  ['volume-up'] = 0xf028,
  ['vote-nay'] = 0xf771,
  ['vote-yea'] = 0xf772,
  ['vr-cardboard'] = 0xf729,
  ['walker'] = 0xf831,
  ['walking'] = 0xf554,
  ['wallet'] = 0xf555,
  ['wand'] = 0xf72a,
  ['wand-magic'] = 0xf72b,
  ['warehouse'] = 0xf494,
  ['warehouse-alt'] = 0xf495,
  ['watch'] = 0xf2e1,
  ['watch-fitness'] = 0xf63e,
  ['water'] = 0xf773,
  ['water-lower'] = 0xf774,
  ['water-rise'] = 0xf775,
  ['wave-square'] = 0xf83e,
  ['webcam'] = 0xf832,
  ['webcam-slash'] = 0xf833,
  ['weight'] = 0xf496,
  ['weight-hanging'] = 0xf5cd,
  ['whale'] = 0xf72c,
  ['wheat'] = 0xf72d,
  ['wheelchair'] = 0xf193,
  ['whistle'] = 0xf460,
  ['wifi'] = 0xf1eb,
  ['wifi-1'] = 0xf6aa,
  ['wifi-2'] = 0xf6ab,
  ['wifi-slash'] = 0xf6ac,
  ['wind'] = 0xf72e,
  ['wind-warning'] = 0xf776,
  ['window'] = 0xf40e,
  ['window-alt'] = 0xf40f,
  ['window-close'] = 0xf410,
  ['window-maximize'] = 0xf2d0,
  ['window-minimize'] = 0xf2d1,
  ['window-restore'] = 0xf2d2,
  ['windsock'] = 0xf777,
  ['wine-bottle'] = 0xf72f,
  ['wine-glass'] = 0xf4e3,
  ['wine-glass-alt'] = 0xf5ce,
  ['won-sign'] = 0xf159,
  ['wreath'] = 0xf7e2,
  ['wrench'] = 0xf0ad,
  ['x-ray'] = 0xf497,
  ['yen-sign'] = 0xf157,
  ['yin-yang'] = 0xf6ad
}

dark_addon.interface.loading_messages = {
  "Reticulating splines...",
  "Swapping time and space...",
  "Tokenizing real life...",
  "Bending the spoon...",
  "We need a new fuse...",
  "The bits are breeding",
  "Follow the white rabbit",
  "Are we there yet?",
  "It's not you. It's me.",
  "Counting backwards from Infinity",
  "Embiggening Prototypes",
  "Creating time-loop inversion field",
  "Spinning the wheel of fortune...",
  "I'm sorry Dave, I can't do that.",
  "Adjusting flux capacitor...",
  "Cleaning off the cobwebs...",
  "Spinning the hamster…",
  "Stay awhile and listen..",
  "Convincing AI not to turn evil..",
  "How did you get here?",
  "Constructing additional pylons...",
  "Roping some seaturtles...",
  "Dividing by zero...",
  "Proving P=NP...",
  "Entangling superstrings...",
  "Twiddling thumbs...",
  "Trying to sort in O(n)...",
  "Winter is coming...",
  "Aw, snap! Not..",
  "Ordering 1s and 0s...",
  "Updating dependencies...",
  "Please wait... Consulting the manual...",
  "Mining some bitcoins...",
  "Initializing the initializer...",
  "Optimizing the optimizer...",
  "Pushing pixels...",
  "Building a wall...",
  "Running with scissors...",
  "Definitely not a virus...",
  "You may call me Steve.",
  "Obfuscating quantum entaglement",
  "Making breakfast...",
  "Combing the desert...",
  "Yes, yes. Yes. Without the oops."
}

function dark_addon.interface.icon(icon)
  return utf8(icons[icon])
end
